#include "cfglr_log.h"

#define TAG "CFGLR_NVS"

void cfglr_backend_nvs_open(cfglr_backend_t *backend, cfglr_handle_t *handle) {
  CFGLR_LOGI(TAG, "opening NVS partition: %s", handle->namespace);
  esp_err_t err = nvs_open(handle->namespace, NVS_READWRITE, (nvs_handle_t*)&backend->handle);
}

void cfglr_backend_nvs_close(cfglr_backend_t *backend, cfglr_handle_t *handle) {
}
